Conteníu

# LSet Statement

Allinia una cadena a la izquierda d'una variable de cadena o copia una variable d'un tipu definíu pol usuariu n'otra d'otru tipu distintu definíu pol usuariu.

### Syntax:

    LSet Var As String = Testu o LSet Var1 = Var2

### Parameters:

Var: Cualesquier variable que contenga la cadena que se deseya alliniar a la izquierda.

Testu: Cadena que se deseye alliniar a la izquierda de la variable de cadena.

Var1: Nome de la variable de tipu definíu pol usuariu onde se deseye realizar la copia.

Var2: Nome de la variable de tipu definíu pol usuariu dende la que se deseye copiar.

Si la cadena ye más curtia que la variable de cadena, LSet allinia a la derecha la cadena dientro de la variable. Cualquier posición que quede na variable de cadena sustituyir por espacios. Si la cadena ye más llarga que la variable, namái se copien los caráuteres que s'atopen más a la izquierda hasta completar el llargor de la variable de cadena. Cola instrucción LSet tamién pue copiase una variable definida pol usuariu a otra del mesmu tipu.

### Example:

    Sub ExampleRLSet
    Dim sVar As String
    Dim sExpr As String
        sVar = String(40,"*")
        sExpr = "SBX"
        ' Allinia "SBX" dientro de la cadena de referencia de 40 caráuteres
        ' Trocar asteriscos por espacios
        RSet sVar = sExpr
        Print ">"; sVar; "<"
        sVar = String(5,"*")
        sExpr = "123457896"
        RSet sVar = sExpr
        Print ">"; sVar; "<"
        sVar = String(40,"*")
        sExpr = "SBX"
        ' Allinia a la izquierda "SBX" dientro de la cadena de referencia de 40 caráuteres
        LSet sVar = sExpr
        Print ">"; sVar; "<"
        sVar = String(5,"*")
        sExpr = "123456789"
        LSet sVar = sExpr
        Print ">"; sVar; "<"
    End Sub

Temes rellacionaos

String functions